Bug 667615 (CVE-2010-4527) - CVE-2010-4527 kernel: buffer overflow in OSS load_mixer_volumes
Summary: CVE-2010-4527 kernel: buffer overflow in OSS load_mixer_volumes
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4527
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101229,reported=20110105,sou...
Depends On: 667616 667617 667618 667619
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-06 09:23 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-05 18:59:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Eugene Teo (Security Response) 2011-01-06 09:23:49 UTC
"The load_mixer_volumes() function, which can be triggered by unprivileged users via the SOUND_MIXER_SETLEVELS ioctl, is vulnerable to a buffer overflow.  Because the provided 'name' argument isn't guaranteed to be NULL terminated at the expected 32 bytes, it's possible to overflow past the end of the last element in the mixer_vols array.  Further exploitation can result in an arbitrary kernel write (via subsequent calls to load_mixer_volumes()) leading to privilege escalation, or arbitrary kernel reads via get_mixer_levels().  In addition, the strcmp() may leak bytes beyond the mixer_vols array.

This only affects users who are using OSS (not to be confused with the OSS emulation provided by ALSA), and requires access to a device file normally restricted to users in group audio."

http://seclists.org/oss-sec/2010/q4/377

Upstream commit:
http://git.kernel.org/linus/d81a12bc29ae4038770e05dce4ab7f26fd5880fb

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 2 Eugene Teo (Security Response) 2011-01-11 09:33:35 UTC
Statement:

Not vulnerable. This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4, 5, 6 and Red Hat Enterprise MRG as they did not provide support for Open Sound System (OSS).


Note You need to log in before you can comment on or make changes to this bug.